PARAFLY(1)

NAME
ParaFly - parallel command processing using OpenMP

SYNOPSIS
ParaFly <options>

DESCRIPTION
ParaFly provides a simple mechanism for running a predefined list of unix commands in parallel using multithreading. Failed processes are captured and reported. Successfully executed processes are noted. If the process is rerun, only those previously incompleted or failed processes will be executed.

OPTIONS

Required:

-c <str>
    filename containing list of bash-style commands to execute

-CPU <int>
    number_of_threads

Optional:

-shuffle
    randomly shuffles the command order.

-failed_cmds <str>
    filename to capture failed commands. default("FailedCommands")

-v  simple progress monitoring.

-vv increased verbosity in progress monitoring.

Note: This process creates a file named based on your commands filename with a .completed extension. This enables a resume functionality, where if rerun, only those commands not completed successfully will be reprocessed.